Previous: ForIndent Conv, Up: Fortran Indent [Contents][Index]

#### 26.14.2.5 Variables for Fortran Indentation

Several additional variables control how Fortran indentation works:

`fortran-do-indent`

  Extra indentation within each level of ‘`do`’ statement (default 3).

`fortran-if-indent`

  Extra indentation within each level of ‘`if`’, ‘`select case`’, or ‘`where`’ statements (default 3).

`fortran-structure-indent`

  Extra indentation within each level of ‘`structure`’, ‘`union`’, ‘`map`’, or ‘`interface`’ statements (default 3).

`fortran-continuation-indent`

  Extra indentation for bodies of continuation lines (default 5).

`fortran-check-all-num-for-matching-do`

  In Fortran 77, a numbered ‘`do`’ statement is ended by any statement with a matching line number. It is common (but not compulsory) to use a ‘`continue`’ statement for this purpose. If this variable has a non-`nil` value, indenting any numbered statement must check for a ‘`do`’ that ends there. If you always end ‘`do`’ statements with a ‘`continue`’ line (or if you use the more modern ‘`enddo`’), then you can speed up indentation by setting this variable to `nil` (the default).

`fortran-blink-matching-if`

  If this is `t`, indenting an ‘`endif`’ (or ‘`enddo`’ statement moves the cursor momentarily to the matching ‘`if`’ (or ‘`do`’) statement to show where it is. The default is `nil`.

`fortran-minimum-statement-indent-fixed`

  Minimum indentation for Fortran statements when using fixed form continuation line style. Statement bodies are never indented by less than this. The default is 6.

`fortran-minimum-statement-indent-tab`

  Minimum indentation for Fortran statements for tab format continuation line style. Statement bodies are never indented by less than this. The default is 8.

The following section describes the variables controlling the indentation of comments.

Previous: ForIndent Conv, Up: Fortran Indent [Contents][Index]